<!DOCTYPE html>
<html lang="es">
  <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    
    <title>lynx-network-manager</title>

    <link href="file:///usr/share/Lynx/lynx-bootstrap/css/bootstrap.min.css" rel="stylesheet" />
    <link rel="stylesheet" href="file:///usr/share/Lynx/lynx-base-css/variables.css" />
    <link rel="stylesheet" href="file:///usr/share/Lynx/lynx-base-css/global.css" />
    <link rel="stylesheet" href="file:///usr/share/Lynx/lynx-base-css/loading.css" />
    <link rel="stylesheet" href="/css/style.css" />
  </head>
  <body>
    <div id="loading" class="lynx-loading-cover"><div class="lynx-loading"><div></div><div></div><div></div><div></div></div></div>
    <div id="network-manager-window" class="container-fluid main-window">
      <div class="row">

        <!-- TOP TOOLS BAR -->
        <div class="col-12" id="tools-bar">
          <div class="text-center" style="width: 100%;">Lynx Network Manager</div>
          <div class="d-inline" id="buttons">
            <button class="btn btn-warning" id="minimize" onclick="win.minimize()">_</button>
            <button class="btn btn-danger" id="close" onclick='win.close();'>X</button>
          </div>
        </div>

        <div class="col-12" class="window-content" id="network-manager-window-content">
          <div class="container-fluid">
            <div class="row">
              <div class="col-12 d-flex justify-content-end p-2">
                <div class="form-check form-switch">
                  <input class="form-check-input" type="checkbox" id="wifiSwitch" onchange="switchWiFiConnection()">
                  <label class="form-check-label" for="wifiSwitch" id="wifistatus"></label>
                </div>
              </div>
              <div class="col-12" id="networks"></div>
              <div class="col-12 p-2">
                <div class="d-grid gap-2 col-6 mx-auto">
                  <button class="btn btn-primary text-center" onclick="drawNetworks();">
                    <img class="img-fluid" src="/img/reload.svg" />
                  </button>
                </div>
              </div>              
            </div>
          </div>
        </div>

      </div>
    </div>

    <script src="file:///usr/share/Lynx/lynx-bootstrap/js/bootstrap.min.js"></script>
    <script src="file:///usr/share/Lynx/lynx-base-js/loading.js"></script>
    <script src="/js/global.js"></script>
    <script src="/js/draw.js"></script>
    <script src="/js/functions.js"></script>
  </body>
</html>